@extends('flatlab::layout')

@section('header_title')
    Usuarios
@endsection

@section('main-content')
<div class="panel">
    <div class="panel-heading">
        <h3><i class="fa fa-users"></i> Usuarios</h3>
    </div>
    <div class="panel-body">
        <div class="adv-table">
            <div class="clearfix">
                <div class="btn-group">
                    <a href="{{ route('users.create') }}" class="btn btn-primary btn-shadow">Nuevo Usuario</a>
                </div>  
            </div>
            <table class="display nowrap hover table table-bordered table-responsive" id="users">
                <thead>
                    <tr>
                        <th>Nombre</th>
                        <th>Email</th>
                        <th>Creado</th>
                        <th>Roles</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
@include('flatlab::helpers.modal',['accion'=>'borrar','titulo'=>'Borrar Usuario','mensaje'=>'Está seguro que quiere borrar este usuario?'])
@endsection
@push('extra_scripts')
    <script type="text/javascript">
    $(document).ready(function() {
        users = $('#users').DataTable({
            "ajax": "{{ route('getUsers') }}",
            "columns": [
                {data: 'name', name: 'name'},
                {data: 'email', name: 'email'},
                {data: 'created_at', name: 'created_at'},
                {data: 'roles', name: 'roles'},
                {data: 'acciones', name: 'acciones', orderable: false, searchable: false,  className: "nowrap" }
            ]
        }).on('click', '.acciones button', function (e) {
            e.preventDefault();
            var id = $(this).parent().data("id");
            var url = 'users/'+ id;

            if($(this).data("action") == 'editar'){
                window.location.href = url + '/edit';
            }
            if($(this).data("action") == 'borrar'){
                $('#borrar').modal('show')
                $('.confirma').one('click', function(){
                    axios.delete(url)
                        .then(function (response) {
                            $('#borrar').modal('hide');                 
                            users.draw(true);    
                            toastr.success(response.data)
                        })
                        .catch(function (response) {
                            $('#borrar').modal('hide');  
                            toastr.error('No puedes borrar este usuario')
                        })
                });
            }
        })
    });
    </script> 
@endpush


